# StatsD Clients

A number of clients have been made for pushing metrics into statsd and open sourced by the wider community.

**Node**
* [lynx](https://github.com/dscape/lynx) — Node.js client used by Mozilla, Nodejitsu, etc.
* [Node-Statsd](https://github.com/sivy/node-statsd) — Node.js client
* [node-statsd-client](https://github.com/msiebuhr/node-statsd-client) — Node.js client
* [node-statsd-instrument](https://github.com/syrio/node-statsd-instrument) — Node.js client
* [statistik](https://github.com/godmodelabs/statistik) - Node.js client with timers & CLI
* [statsy](https://github.com/segmentio/statsy) - clean idiomatic statsd client

**Java**
* [java-statsd-client](https://github.com/youdevise/java-statsd-client) — Lightweight (zero deps) Java client
* [Statsd over SLF4J](https://github.com/nzjess/statsd-over-slf4j) — Java client with SLF4J logging tie-in
* [play-statsd](https://github.com/vznet/play-statsd) — Play Framework 2.0 client for Java and Scala
* [statsd-netty](https://github.com/flozano/statsd-netty) — Netty-based Java 8 client

**Python**
* [Py-Statsd](https://github.com/sivy/py-statsd) — Server and Client
* [Python-Statsd](https://github.com/WoLpH/python-statsd) — Python client
* [pystatsd](https://github.com/jsocol/pystatsd) — Python client
* [Django-Statsd](https://github.com/WoLpH/django-statsd) — Django client

**Ruby**
* [statsd-instrument](https://github.com/Shopify/statsd-instrument) — Ruby client
* [statsd](https://github.com/reinh/statsd/) — Ruby client (needs new maintainer)
* [Statsd-Client](https://github.com/dawanda/statsd-client) — Ruby client (not maintained)

**Perl**
* [Net::Statsd](https://github.com/cosimo/perl5-net-statsd) — Perl client, also available on [CPAN](https://metacpan.org/module/Net::Statsd)
* [Net::StatsD::Client](https://github.com/sivy/statsd-client) — Perl client, not available on CPAN
* [Etsy::StatsD](https://github.com/sanbeg/Etsy-Statsd) - Perl client, also available on [CPAN] (https://metacpan.org/module/Etsy::StatsD)

**PHP**
* [Metrics](https://github.com/beberlei/metrics#metrics)
* [PHP client](https://gist.github.com/1065177/5f7debc212724111f9f500733c626416f9f54ee6)
* [php-statsd](https://github.com/seejohnrun/php-statsd) and Spark
* [php-statsd-client](https://github.com/godmodelabs/php-statsd-client) - supports SplClassLoader
* [statsd-php-client](https://github.com/iFixit/statsd-php-client) - Minimalist performant client
* [phpLeague-statsd-client](https://github.com/thephpleague/statsd) - Php League StatsD client
* [statsd-php-client](https://github.com/liuggio/statsd-php-client) - optimized client with monolog and symfony2 integrations available
* [statsd-php](https://github.com/domnikl/statsd-php) - PSR-4 compatible client

**Clojure**
* [Clojure client](https://github.com/pyr/clj-statsd)

**Io**
* [io-statsd](https://github.com/seejohnrun/io-statsd) — StatsD Client for Io

**C**
* [C client](https://github.com/romanbsd/statsd-c-client) — A trivial C client

**C++**
* [statsd-client-cpp](https://github.com/talebook/statsd-client-cpp) — StatsD Client in CPP
* [cpp-statsd-client](https://github.com/vthiery/cpp-statsd-client) — A header-only StatsD client implemented in C++

**.NET**
* [NStatsD.Client](https://github.com/robbihun/NStatsD.Client) — .NET 4.0 client
* [C# client](https://github.com/goncalopereira/statsd-csharp-client) — C# client
* [graphite-client](https://github.com/peschuster/graphite-client) — .NET client library for StatsD and Graphite
* [StatsC](https://bitbucket.org/pavlos256/statsc) — An asynchronous client with built-in support for batching
* [JustEat.StatsD](https://github.com/justeat/JustEat.StatsD) — A .NET library for publishing metrics to statsd. Targets both .NET full framework and .NET Standard 2.0.

**Go**
* [GoE](https://godoc.org/github.com/pascaldekloe/goe/metrics) — Minimal & Performant
* [go-statsd-client](https://github.com/cactus/go-statsd-client) — Simple Go client
* [g2s](https://github.com/peterbourgon/g2s)
* [StatsD](https://github.com/quipo/statsd)
* [statsd](https://github.com/alexcesaro/statsd) — A simple and very fast StatsD client

**Apache**
* [mod_statsd](https://github.com/jib/mod_statsd) - StatsD client to send stats straight from [Apache](https://modules.apache.org/)

**Varnish**
* [libvmod-statsd](https://github.com/jib/libvmod-statsd) - StatsD client to send stats straight from [Varnish](http://varnish-cache.org)

**PowerShell**
* [powershell-statsd](https://github.com/joehack3r/powershell-statsd) - PowerShell client

**Browser**
* [StatsC](https://github.com/godmodelabs/statsc) - Push stats to StatsD from the browser!
* [StatsD HTTP Proxy](https://github.com/sokil/statsd-http-proxy) - HTTP proxy to StatsD with REST interface for using in browsers
* [StatsD HTTP Client](https://github.com/Molyakos/statsd-http-client) - StatsD client over http for using in browsers

**Objective-C**
* [MCStatsd](https://github.com/Marketcircle/MCStatsd) - Cocoa client

**ActionScript**
* [flash-statsd](https://github.com/simongregory/flash-statsd) - Flash client

**WordPress**
* [wordpress-statsd](https://github.com/uglyrobot/wordpress-statsd) - WordPress Plugin

**Drupal**
* [StatsD](https://www.drupal.org/project/statsd) - Drupal module

**Haskell**
* [statsd-client](https://github.com/keithduncan/statsd-client)

**R**
* [rstatsd](https://github.com/stumpyfr/rstatsd)

**Lua**
* [lua-statsd](https://github.com/stvp/lua-statsd-client)

**Nim**
* [statsd_client](https://github.com/FedericoCeratto/nim-statsd-client)
